#include <stdio.h>
#include <string.h>
#include "pdblib.h"

int main(int argc, char *argv[])
{
	PDBhandle PDBh;
	int pqr_extension = 0;
	char nfname[256], *dot;

	if(argc != 2){
		printf("usage: %s PDB_file\n", argv[0]);
		return 0;}

	strcpy(nfname, argv[1]);
	if((dot = strrchr(nfname, '.')) != NULL){
		if(strcasecmp(dot, ".pqr") == 0) pqr_extension = 1;
		*dot = 0;}
	strcat(nfname, "-re.pdb");

	PDBh = PDBlib_initialize();

	if(PDBlib_load_file(PDBh, argv[1], pqr_extension) == -1){
		printf("error: unable to open file `%s`\n", argv[1]);
		PDBlib_free(PDBh);
		return 1;}

	PDBlib_perform_optimization(PDBh, PDBLIB_OPTI_ALL);
	PDBlib_save_file(PDBh, nfname, pqr_extension);
	PDBlib_free(PDBh);
	return 0;
}
